CCDCONFIG(8) | System Manager's Manual | CCDCONFIG(8)

# NAME

ccdconfig — configuration utility for the concatenated disk driver

# SYNOPSIS

ccdconfig | [-cv] ccd ileave [flags] dev [...]

ccdconfig | -C [-v] [-f config_file]

ccdconfig | -u [-v] ccd [...]

ccdconfig | -U [-v] [-f config_file]

ccdconfig | -g [-M core] [-N system] [ccd [...]]

# DESCRIPTION

ccdconfig is used to dynamically configure and unconfigure concatenated disk devices, or ccds. For more information about the ccd, see ccd(4).

The options are as follows:

-c
  Configure a ccd. This is the default behavior of ccdconfig.
-C
  Configure all ccd devices listed in the ccd configuration file.
-f config_file
  When configuring or unconfiguring all devices, read the file config_file instead of the default /etc/ccd.conf.
-g
  Dump the current ccd configuration in a format suitable for use as the ccd configuration file. If no arguments are specified, every configured ccd is dumped. Otherwise, the configuration of each listed ccd is dumped.
-M core
  Extract values associated with the name list from core instead of the default /dev/mem.
-N system
  Extract the name list from system instead of the default /netbsd.
-u
  Unconfigure a ccd.
-U
  Unconfigure all ccd devices listed the ccd configuration file.
-v
  Causes ccdconfig to be verbose.

A ccd is described on the command line and in the ccd configuration file by the name of the ccd, the interleave factor, the ccd configuration flags, and a list of one or more devices. The flags may be represented as a decimal number, a hexadecimal number, a comma-separated list of strings, or the word “none”. The flags are as follows:

Symbolic | Numeric | Comment
CCDF_UNIFORM | 0x02 | Use uniform interleave. The size of all components is clamped to that of the smallest component.
CCDF_NOLABEL | 0x04 | Ignore raw disklabel. Useful when creating a new ccd.

## /etc/ccd.conf

The file /etc/ccd.conf is used to configure ccdconfig if -C or -U is used. Each line of the configuration file contains arguments as per the -c argument: ccd ileave [flags] dev [...]

A ‘#' is a comment, and everything to end of line is ignored. A ‘\' at the end of a line indicates that the next line should be concatenated with the current. A ‘\' preceding any character (other than the end of line) prevents that character's special meaning from taking effect.

See EXAMPLES for an example of /etc/ccd.conf.

# FILES

/etc/ccd.conf - default ccd configuration file.

# EXAMPLES

The following command, executed from the command line, would configure ccd0 with 4 components (/dev/sd2e, /dev/sd3e, /dev/sd4e, /dev/sd5e), and an interleave factor of 32 blocks.

    # ccdconfig ccd0 32 0 /dev/sd2e /dev/sd3e /dev/sd4e /dev/sd5e

An example /etc/ccd.conf:

    #
    # /etc/ccd.conf
    # Configuration file for concatenated disk devices
    #

    # ccd           ileave  flags   component devices
    ccd0            16      none    /dev/sd2e /dev/sd3e

# SEE ALSO

ccd(4), ccd.conf(5), rc(8)

# HISTORY

The ccdconfig command first appeared in NetBSD 1.1.

October 17, 2003 | NetBSD 6.0